Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.muc
Enum MUCEventDelegate.InvitationResult

    java.lang.Object
      java.lang.Enum<MUCEventDelegate.InvitationResult>
          org.jivesoftware.openfire.muc.MUCEventDelegate.InvitationResult

All Implemented Interfaces:
  Serializable, Comparable<MUCEventDelegate.InvitationResult>

Enclosing class:
  MUCEventDelegate

    public static enum MUCEventDelegate.InvitationResult

extends Enum<MUCEventDelegate.InvitationResult>

Enum Constant Summary
`HANDLED_BY_DELEGATE`
`HANDLED_BY_OPENFIRE`
`REJECTED`

Method Summary
`static MUCEventDelegate.InvitationResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MUCEventDelegate.InvitationResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HANDLED_BY_DELEGATE

    public static final MUCEventDelegate.InvitationResult HANDLED_BY_DELEGATE

### HANDLED_BY_OPENFIRE

    public static final MUCEventDelegate.InvitationResult HANDLED_BY_OPENFIRE

### REJECTED

    public static final MUCEventDelegate.InvitationResult REJECTED

Method Detail

### values

    public static MUCEventDelegate.InvitationResult[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MUCEventDelegate.InvitationResult c : MUCEventDelegate.InvitationResult.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MUCEventDelegate.InvitationResult valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2008 Jive Software.